package be.iminds.ilabt.jfed.experimenter_gui.gts_editor.views;

import be.iminds.ilabt.jfed.experimenter_gui.config.JFedGuiConfig;
import be.iminds.ilabt.jfed.experimenter_gui.gts_editor.GTSModelEditor;
import com.google.common.eventbus.EventBus;

import javax.inject.Inject;
import javax.inject.Singleton;

/**
 * User: twalcari
 * Date: 5/21/2015
 * Time: 11:16
 */
@Singleton
public class GTSViewsFactory {

    private final JFedGuiConfig conf;
    private final EventBus eventBus;

    @Inject
    public GTSViewsFactory(JFedGuiConfig conf, EventBus eventBus) {
        this.conf = conf;
        this.eventBus = eventBus;
    }


    public EditableGTSCanvasEditorView createEditableGTSCanvasEditorView(GTSModelEditor modelEditor) {
        return new EditableGTSCanvasEditorView(modelEditor, conf, eventBus);
    }

    public RawGtsDslEditor createRawGtsDslEditor(String dsl, boolean dirty){
        return new RawGtsDslEditor(dsl, dirty);
    }

}
